ci: fix cdbg_deploy error reporting (#3182)

This commit is contained in:
Markus Rudy 2024-06-20 08:25:30 +02:00 committed by GitHub
parent c911eb4e3a
commit 6e2af89c01
No known key found for this signature in database
GPG Key ID: B5690EEEBB952194

View File

@ -91,6 +91,11 @@ runs:
shell: bash
run: |
echo "::group::cdbg deploy"
on_error() {
echo "::error::cdbg deploy failed"
}
trap on_error ERR
chmod +x $GITHUB_WORKSPACE/build/cdbg
cdbg deploy \
--bootstrapper "${{ github.workspace }}/build/bootstrapper" \
@ -112,8 +117,4 @@ runs:
--info logcollect.deployment-type="debugd" \
--verbosity=-1 \
--force
if [[ $? -ne 0 ]]; then
echo "::error::cdbg deploy failed"
exit 1
fi
echo "::endgroup::"